Subject: Re: bug#76439: [PATCH] Specify 'tab-bar-history-mode' in 'winner-mode' docstring

From: Visuwesh <[email-masked]>
Date: Fri, 21 Feb 2025 15:46:47 +0530

[வெள்ளி பிப்ரவரி 21, 2025] Robert Pluim wrote:

>>>>>> On Fri, 21 Feb 2025 10:41:23 +0100, Stephen Berman <[email-masked]> said:
>
>     Stephen> On Fri, 21 Feb 2025 10:26:46 +0100 Robert Pluim <[email-masked]> wrote:
>     >>>>>>> On Fri, 21 Feb 2025 09:43:58 +0200, Eli Zaretskii <[email-masked]> said:
>     >> >> 
>     >> >> If you indent to use `tab-bar-mode' with `winner-mode', we recommend
>     >> >> to use `tab-bar-history-mode' instead which provides tab-specific
>     >> >> window configuration history and is better behaved when
>     >> >> `tab-bar-mode' is turned on.
>     >> >> 
>     >> >> ?
>     >> 
>     Eli> SGTM, thanks.
>     >> 
>     >> Grammar/gerund alert:

I never understood what a gerund is because I missed that English class
because I was sick that day.  C:
[ The text book definition was too opaque and I couldn't solve the
  exercises to save myself, and I never bothered to ask my teacher what
  the hell it meant.  ]

>     >> If you indent to use `tab-bar-mode' with `winner-mode', we recommend
>
>     Stephen> s/indent/intend/
>
> The golden rule of grammar discussion is that there will be spelling
> mistakes (and vice-versa) 😉

Thankfully I fixed in the next iteration of the patch.  ;-)

>     >> using `tab-bar-history-mode' instead, which provides tab-specific
>     >> window configuration history, and is better behaved when
>     >> `tab-bar-mode' is turned on.
>     >> 
>     >> (Iʼd even be tempted to use ';' instead of the second ',', and replace
>     >> 'which' with 'it')
>
>     Stephen> Or "instead, since it provides", since it's a justification of the
>     Stephen> recommendation.

Are you supposed to have a comma before since?  In any case, is the
grammar of

    If you intend to use `tab-bar-mode' with `winner-mode', we recommend
    using `tab-bar-history-mode' instead, since it provides tab-specific
    window configuration history, and is better behaved when
    `tab-bar-mode' is turned on.

correct?

> That works as well. Iʼm told that using ';' is falling out of favour,
> since allegedly the youth of today donʼt understand it.

It is hard to figure out where to put the semicolon.  It falling out of
favour means there aren't plenty of examples unless you're reading
Victorian novels I suppose.